MEMCACHED_QUIT(3)

NAME
memcached_quit - libmemcached Documentation

SYNOPSIS

    #include <libmemcached/memcached.h>
        Compile and link with -lmemcached

    void memcached_quit(memcached_st <#_CPPv412memcached_st> *ptr)

        Parameters
            ptr -- pointer to initialized memcached_st <#_CPPv412memcached_st> struct

DESCRIPTION

memcached_quit() will disconnect you from all currently connected servers. It will also reset the state of the connection (i.e., any memcached_fetch() <#_CPPv415memcached_fetchP12memcached_stPcP6size_tP6size_tP8uint32_tP18memcached_return_t> you are in the middle of will be terminated). This function is called automatically when you call memcached_free() <#_CPPv414memcached_freeP12memcached_st> on the memcached_st <#_CPPv412memcached_st> structure.

You do not need to call this on your own. All operations to change server hashes and parameters will handle connections to the server for you. This function is provided mainly so that you can timeout your connections or reset connections during the middle of a memcached_fetch() <#_CPPv415memcached_fetchP12memcached_stPcP6size_tP6size_tP8uint32_tP18memcached_return_t>.

RETURN VALUE

A value of type memcached_return_t <#_CPPv418memcached_return_t> is returned On success that value will be MEMCACHED_SUCCESS <#_CPPv4N18memcached_return_t17MEMCACHED_SUCCESSE>. Use memcached_strerror() <#_CPPv418memcached_strerrorP12memcached_st18memcached_return_t> to translate this value to a printable string.

SEE ALSO

memcached(1) <https://linux.die.net/man/1/memcached> libmemcached(3) <https://linux.die.net/man/3/libmemcached> memcached_strerror(3) <https://linux.die.net/man/3/memcached_strerror>